Skip to content

Get the available payment methods.

GET
/api/v2/buy/payment-methods
countryCode
string
Allowed values: at be bg ch cy cz de dk ee es fi fr gb gr hr hu ie it lt lu lv mt nl no pl pt ro se sk sl

The countryCode will be used to determine the payment method order, but only when no user is provided. If no user and no countryCode is provided the default order will be used.

Returns a list of available payment methods. Order of the payment methods is determined by the user and/or (user|input)country and is representing the preferred payment methods.

object
paymentMethods
Array<object>
object
code
required

The BTC Direct payment method code.

string
Example
creditCard
label
required

Payment method label.

string
Example
Credit card
psp
required

The PSP that will be used for this payment method.

string
Example
cm
limit
required

The maximum amount for this payment method.

number format: float
Example
1000.01
fees
object
fixed

Fixed fee amount

number format: float
Example
0.35
percentage

Fee percentage

number format: float
Example
1.9
expirationPeriod
required

The number of seconds a user has to pay the order

number format: int
Example
420
openInNewTab
required

Indicates if the payment method should open in a new tab.

boolean
Example
true
context
required

Optional metadata that provides additional configuration for the payment method. Each context item specifies a type and corresponding value. For example, it may define which card brands are supported or a PSP-specific checkout identifier. The required context types depend on the PSP and selected payment method.

Array<object>
default:
object
type
required
string
Allowed values: acceptedCards clientId countries country currency disableFunding displayName enableFunding features identifier intent scope
value
required

The value associated with the context type. This is dynamically typed: it can be a string, array, boolean, or integer depending on the context type. For example, for “acceptedCards”, this will be an array of strings (e.g., [“visa”, “mastercard”]).

{}
Example
[
{
"type": "acceptedCards",
"value": [
"visa",
"mastercard"
]
},
{
"type": "identifier",
"value": "checkout-identifier-123"
}
]

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}